
ChiliProject - Bug # 453: Update to Rails 2.3.12 to fix some bugs

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Libraries
Created: 2011-06-08 Assignee: Eric Davis
Updated: 2011-06-10 Due date:
Remote issue URL:
Affected version: unstable
Description: Rails 2.3.11 is said to not work with RubyGems 1.8.5. Also there is "an edge-case XSS 

vulnerability":http://groups.google.com/group/rubyonrails-security/browse_thread/thread/2e516e7acc96c4fb in 
Rails 2.3.11.

"Rails 2.3.12":http://rubygems.org/gems/rails/versions/2.3.12 should fix the above issues.

I propose waiting for another two days before updating (since the Rails team tends to screw their 2.3.x 
releases) but this should definitely become part of Chili 2.0.

Associated revisions
2011-06-10 07:43 pm - Eric Davis
[#453] Upgrade to Rails 2.3.12

History
2011-06-08 06:47 am - Gregor Schmidt
If desired, I could provide a pull request. But there is really not much to do besides updating the Gemfile.

2011-06-10 03:49 pm - Eric Davis
- Category set to Libraries

We wouldn't be affected by the XSS edge case since we aren't using rails_xss at all.

We should check with @tenderlove to see if he's planning any more releases soon. I think 2.3.x isn't getting too much new code now so we could do 
upgrades in minor releases once we review the changes. (e.g. 2.0.0 => 2.1.0 could have a Rails 2.3.x upgrade)

2011-06-10 05:12 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Ready for review to Open

@tenderlove said there shouldn't be any more releases 2.3.x so we can upgrade now.

2011-06-10 05:44 pm - Eric Davis
- Status changed from Open to Closed

Upgraded in commit:731de48. Had to require the rdoc gem too.
